### Name: nowrapSpatialLines
### Title: Split SpatialLines components at offset
### Aliases: nowrapSpatialLines
### Keywords: spatial

### ** Examples

Sl <- SpatialLines(list(Slines(list(Sline(cbind(sin(seq(-4,4,0.4)), seq(1,21,1)), CRS("+proj=latlong"))))))
summary(Sl)
lapply(sapply(getSLlinesSlot(Sl), getSlinesSlinesSlot), bbox)
lapply(sapply(getSLlinesSlot(recenter(Sl)), getSlinesSlinesSlot), bbox)
nwSL <- nowrapSpatialLines(Sl)
summary(nwSL)
lapply(sapply(getSLlinesSlot(nwSL), getSlinesSlinesSlot), bbox)
lapply(sapply(getSLlinesSlot(recenter(nwSL)), getSlinesSlinesSlot), bbox)



